%define ruby_libdir /usr/local/lib/site_ruby

Summary: incremental search tool for japanese without japanese conversion
Name: migemo
Version: 0.40
Release: 2ih
URL: http://migemo.namazu.org/
Source0: %{name}-%{version}.tar.gz
Requires: ruby >= 1.6, ruby-romkan, ruby-bsearch
BuildRequires: ruby >= 1.6, ruby-romkan, ruby-bsearch
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-root

%description
Migemo is a tool that search words incrementally with
roma-ji (japanese language written by alphabet characters).
You are relieved from the hardwork of searching japanese words with
converting alphabet to japanese.
Latest version of migemo is available in http://migemo.namazu.org/.

%prep
%setup -q

%build
./configure --prefix=/usr --with-rubydir=%{ruby_libdir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/migemo
/usr/bin/migemo-grep
/usr/bin/migemo-server
/usr/bin/migemo-client
/usr/share/emacs/site-lisp/migemo.el
/usr/share/emacs/site-lisp/migemo.elc
/usr/share/migemo/migemo-dict
/usr/share/migemo/migemo-dict.idx
/usr/share/migemo/migemo-dict.cache
/usr/share/migemo/migemo-dict.cache.idx
/usr/share/migemo/user-dict.sample
/usr/share/migemo/regex-dict.sample
%doc /usr/share/migemo/migemo.ja.rd
%{ruby_libdir}/migemo.rb
%{ruby_libdir}/migemo-dict.rb
%{ruby_libdir}/migemo-regex.rb
%{ruby_libdir}/migemo-convert.rb
%{ruby_libdir}/migemo-index.rb
%{ruby_libdir}/migemo-cache.rb

%changelog
* Mon Jan 19 2004  Itou Hiroki <wmwm(a)nifty.com>
- applied to ruby 1.8

* Sat Feb  8 2003  Itou Hiroki <wmwm(a)nifty.com>
- Initial build for RedHatLinux7.3
